---
id: model_zoo
title: Model Zoo
sidebar_label: Model Zoo
---

Here is the current list of models currently implemented in MMF:

- **M4C** Iterative Answer Prediction with Pointer-Augmented Multimodal Transformers for TextVQA [[arXiv](https://arxiv.org/abs/1911.06258)] [[project](https://github.com/facebookresearch/mmf/tree/master/projects/m4c)]
- **ViLBERT** ViLBERT: Pretraining Task-Agnostic Visiolinguistic Representations for Vision-and-Language Tasks [[arXiv](https://arxiv.org/abs/1908.02265)] [[project](https://github.com/facebookresearch/mmf/tree/master/projects/vilbert)]
- **VisualBert** Visualbert: A simple and performant baseline for vision and language [[arXiv](https://arxiv.org/abs/1908.03557)] [[project](https://arxiv.org/abs/1908.03557)]
- **LoRRA** Towards VQA Models That Can Read [[arXiv](https://arxiv.org/abs/1904.08920)] [[project](https://github.com/facebookresearch/mmf/tree/master/projects/lorra)]
- **M4C Captioner** TextCaps: a Dataset for Image Captioning with Reading Comprehension [[arXiv](https://arxiv.org/abs/2003.12462)] [[project](https://github.com/facebookresearch/mmf/tree/master/projects/m4c_captioner)]
- **Pythia** Pythia v0. 1: the winning entry to the vqa challenge 2018 [[arXiv](https://arxiv.org/abs/1807.09956)] [[project](https://github.com/facebookresearch/mmf/tree/master/projects/pythia)]
- **BUTD** Bottom-up and top-down attention for image captioning and visual question answering [[arXiv](https://arxiv.org/abs/1707.07998)] [[project](https://github.com/facebookresearch/mmf/tree/master/projects/butd)]
- **MMBT** Supervised Multimodal Bitransformers for Classifying Images and Text [[arXiv](https://arxiv.org/abs/1909.02950)] [[project](https://github.com/facebookresearch/mmf/tree/master/projects/mmbt)]
- **MoViE** Revisiting Modulated Convolutions for Visual Counting and Beyond [[arXiv](https://arxiv.org/abs/2004.11883)] [[project](https://github.com/facebookresearch/mmf/tree/master/projects/movie_mcan)]
- **BAN** Bilinear Attention Networks [[arXiv](https://arxiv.org/abs/1805.07932)] [[project](https://github.com/facebookresearch/mmf/tree/master/projects/ban)]

In addition to the above MMF also has implementations of models ConcatBERT, ConcatBOW, LateFusion, Unimodal Text, Unimodal Image, VisDial, MMFBERT etc. We are adding many more new models which will be available soon.
